module(...)
--magic editor build
DATA={
	atk_stophit=false,
	cmds={
		[1]={
			args={
				alive_time=0.75,
				begin_pos={base_pos=[[vic_team_center]],depth=2.35,relative_angle=0,relative_dis=0,},
				delay_time=0.7,
				ease_type=[[Linear]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_1009/Prefabs/1009_rocket.prefab]],
					preload=true,
				},
				end_pos={base_pos=[[vic]],depth=0.55,relative_angle=0,relative_dis=0,},
				excutor=[[vicobjs]],
				move_time=0.02,
			},
			func_name=[[ShootEffect]],
			start_time=0,
		},
		[2]={args={},func_name=[[End]],start_time=0.06,},
		[3]={
			args={
				alive_time=1,
				effect={
					is_cached=false,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_1009/Prefabs/1009_hit2.prefab]],
					preload=true,
				},
				effect_dir_type=[[forward]],
				effect_pos={base_pos=[[vic]],depth=0.6,relative_angle=0,relative_dis=0,},
				excutor=[[vicobjs]],
			},
			func_name=[[StandEffect]],
			start_time=0.1,
		},
		[4]={
			args={
				consider_hight=false,
				damage_follow=true,
				face_atk=false,
				hurt_delta=0,
				play_anim=true,
			},
			func_name=[[VicHitInfo]],
			start_time=0.1,
		},
	},
	group_cmds={},
	pre_load_res={
		[1]=[[Effect/Magic/magic_eff_new_1009/Prefabs/1009_rocket.prefab]],
		[2]=[[Effect/Magic/magic_eff_new_1009/Prefabs/1009_hit2.prefab]],
	},
	run_env=[[war]],
	type=1,
	wait_goback=true,
}
